Summary: GNOME chess
Name: gnome-chess
Version: 0.3.3
Release: 4mdk
License: GPL
Group: Games/Boards
BuildRequires:	flex gdk-pixbuf-devel gnome-print-devel libglade-devel scrollkeeper
BuildRequires:  intltool
PreReq: scrollkeeper >= 0.3
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-chess/%{name}-%{version}.tar.bz2
# fix mimetype for nautilus
Patch0: gnome-chess-mime.patch.bz2
Patch1: gnome-chess-0.3.3-quit.patch.bz2
# (fc) fix scrollkeeper file to be DTD compliant
Patch2: gnome-chess-0.3.3-scrollkeeper.patch.bz2
Source1: %{name}-32.png
Source2: %{name}-48.png
Source3: %{name}-16.png
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org

%description
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.

%prep
%setup -q
%patch0 -p1 -b .mimetypes
%patch1 -p1 -b .quit
%patch2 -p1 -b .scrollkeeper

# fix compilation
xml-i18n-toolize
aclocal -I macros
autoconf

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	title="Gnome Chess" \
	longtitle="Gnome Chess game" \
	command="%{_bindir}/gnome-chess" \
	icon="%{name}.png" \
	needs="x11" \
	section="Amusement/Boards"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%{find_lang} %{name}

#(peroyvind) remove unpackaged files
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%post
## menu
%{update_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi

%postun
## menu
%{clean_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/apps/Games/*
%{_datadir}/gnome/help/*
%{_datadir}/gnome-chess
%{_datadir}/mime-info/*
%{_datadir}/omf/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.3-4mdk
- fix unpackaged files

* Mon Jul  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3-3mdk
- Patch0: fix scrollkeeper file to be DTD compliant
- Fix rpmlint warnings
- Bump scrollkeeper requirements
- Png icons

* Mon Feb 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3-2mdk
- Fix compilation (update aclocal.m4 and configure after xml-i18n-toolize)

* Thu Sep 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3-1mdk
- Release 0.3.3
- Patch1: fix bug 5008 (exit correctly)

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3.2-2mdk
- BuildRequires: flex gdk-pixbuf-devel gnome-print-devel libglade-devel
- Copyright --> License
- Removed redundant BuildRequires.

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2

* Tue May 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.0-1mdk
- Release 0.3.0

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.4-5mdk
- Add new icons
- use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.4-4mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.4-3mdk
- BM + macroszification
- embed menu in specfile

* Sat Apr 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.4-2mdk
- removed unecessary manual stripping/bzing 
- addded menu entry

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4 
- SMP build/check.
- new group.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 0.2.3

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Mandrake adaptations

